// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0.If a copy of the MPL was not distributed with this
// file, You can obtain one at https ://mozilla.org/MPL/2.0/.

#ifndef ANGLEAXIS_H
#define ANGLEAXIS_H

#include "Angle.h"
#include "Axis.h"

namespace Passer {
namespace LinearAlgebra {

class AngleAxis {
public:
  Angle angle;
  Axis axis;

  AngleAxis();
  AngleAxis(Angle angle, Axis axis);
};

} // namespace LinearAlgebra
} // namespace Passer
using namespace Passer::LinearAlgebra;

#endif